package com.sun.org.apache.xerces.internal.xni.parser;

import com.sun.org.apache.xerces.internal.utils.XMLLimitAnalyzer;
import com.sun.org.apache.xerces.internal.xni.XNIException;
import java.io.IOException;

public interface XMLDTDScanner extends XMLDTDSource, XMLDTDContentModelSource
{
    public abstract void setInputSource(XMLInputSource p0) throws IOException;
    
    public abstract boolean scanDTDInternalSubset(boolean p0, boolean p1, boolean p2) throws IOException, XNIException;
    
    public abstract boolean scanDTDExternalSubset(boolean p0) throws IOException, XNIException;
    
    public abstract boolean skipDTD(boolean p0) throws IOException;
    
    public abstract void setLimitAnalyzer(XMLLimitAnalyzer p0);
}
